module SCAnalytics
	module Connections

		Struct.new("QueryResult",:headers,:rows)

		class Connection
			attr_reader :host, :port, :username

			def initialize(connection_name, config)
				@connection_name = connection_name
				@username = config[:username]
				@password = config[:password]
			end

			private

			def connect
				alert "Connecting to #{@connection_name.to_s} as user #{@username.to_s} . . . "
				yield
				alert "Successfully connected to #{@connection_name.to_s} as user #{@username.to_s}!"
			end
		end
	end
end